Skip to main content
PATCH
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Body

application/json
email
string
Example:

"new@example.com"

first_name
string
last_name
string
phone
string
selected_locale
string
avatar_signed_id
string

A signed_id from files.upload().

accepts_email_marketing
boolean
internal_note
string

Rich text HTML. Reads come back as this plus internal_note_html.

metadata
object
tags
string[]
customer_group_ids
string[]

Replaces the customer's group membership.

Response

200 - application/json

customer updated